Bug 438654 - work space switcher become a line after updating to avant-window-navigator
work space switcher become a line after updating to avant-window-navigator
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: awn-extras-applets (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 02:08 EDT by han pingtian
Modified: 2008-03-31 10:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.2.6-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 10:24:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the line on the right should be the work space switcher (39.55 KB, image/png)
2008-03-24 02:08 EDT, han pingtian
no flags Details

  None (edit)
Description han pingtian 2008-03-24 02:08:36 EDT
Description of problem:
In the last upgrading, avant-window-navigator-python has been erased and
avant-window-navigator be installed. But the work space switcher on the dock
become a line. And there are some error messages when updating:

Mar 24 09:37:51 I/O warning : failed to load external entity
"/etc/gconf/schemas/awn.schemas"
Failed to open `/etc/gconf/schemas/awn.schemas': No such file or directory

Mar 24 09:38:02 Installed: avant-window-navigator - 0.2.6-6.fc8.i386
Mar 24 09:38:03 WARNING: Failed to parse default value `' for schema
(/schemas/apps/avant-window-navigator/applets_list)
WARNING: Failed to parse default value `' for schema
(/schemas/apps/avant-window-navigator/window_manager/launchers)

Version-Release number of selected component (if applicable):
0.2.6-6.fc8.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 han pingtian 2008-03-24 02:08:36 EDT
Created attachment 298874 [details]
the line on the right should be the work space switcher
Comment 2 Sven van Heel 2008-03-25 05:58:39 EDT
I have the same problem, this is what I get when awn starts:
Screen is composited.
APPLET : /usr/lib/awn/applets/taskman.desktop
APPLET : /usr/lib/awn/applets/showdesktop.desktop
APPLET : /usr/lib/awn/applets/weather.desktop
APPLET : /usr/lib/awn/applets/trash.desktop
APPLET : /usr/lib/awn/applets/switcher.desktop

** (awn-applet-activation:5270): WARNING **: Please inform the developer(s) of
the applet 'Showdesktop Applet' that the .desktop file associated with their
applet need to be updated per the Applet Development Guidelines on the AWN Wiki.

** (awn-applet-activation:5272): WARNING **: Please inform the developer(s) of
the applet 'Weather Applet' that the .desktop file associated with their applet
need to be updated per the Applet Development Guidelines on the AWN Wiki.

** (awn-applet-activation:5276): WARNING **: Please inform the developer(s) of
the applet 'Workspace Switcher' that the .desktop file associated with their
applet need to be updated per the Applet Development Guidelines on the AWN Wiki.
Workspace Switcher: symbol lookup error:
/usr/lib/awn/applets/switcher/switcher.so: undefined symbol:
awn_applet_gconf_get_int

** (awn-applet-activation:5274): WARNING **: Please inform the developer(s) of
the applet 'Trash Applet' that the .desktop file associated with their applet
need to be updated per the Applet Development Guidelines on the AWN Wiki.
Trash Applet: symbol lookup error: /usr/lib/awn/applets/trash/trash.so:
undefined symbol: awn_applet_gconf_get_bool

Both the trash and the switcher are broken. I'm guessing that the package
"awn-extras-applets" has to be updated too. Check this activity on this error on
the AWN-forum:
http://awn.planetblur.org/index.php?shard=forum&action=g_reply&ID=1555&page=1&sl=0&isLive=true#last
The applets are fixed by the authors, but Fedora still has the old versions.

This makes AWN essentially useless for me (and probably other people using it)
after the update at the moment. This should be a high-priority bug I think.
Comment 3 han pingtian 2008-03-31 02:59:24 EDT
Fixed in awn-extras-applets - 0.2.6-4.fc8.i386.
Thanks!
Comment 4 Sven van Heel 2008-03-31 08:51:43 EDT
Yes, the new awn-extras-applets package fixes these problems.
I think this bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.